using Controladora;
using Entidades;

namespace Vista
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            PrecargarDatos();
            ApplicationConfiguration.Initialize();
            Application.Run(new PantallaPrincipal());
        }

        private static void PrecargarDatos()
        {

            ControladoraProveedores.Instance.Aņadir(new Proveedor
            {
                Cuit = 157618923,
                Direccion = "La Rioja 6412",
                Nombre = "Outlet Riojano",
                Habilitado = true,
                RazonSocial = "Vende Ropa"
                
            });

            ControladoraClientes.Instance.Aņadir(new Cliente{
                Cuit = 23453659239,
                Apellido = "Polidoro",
                Nombre = "Federico",
                Correo = "federico.nicolas.polidoro@gmail.com",
                Direccion = "nose",
                Habilitado = true
            });

            ControladoraClientes.Instance.Aņadir(new Cliente{
                Cuit = 17385912736,
                Apellido = "Diana",
                Nombre = "Ignacio",
                Correo = "Ignaciodiana@gmail.com",
                Direccion = "nose",
                Habilitado = true
            });

            ControladoraCategorias.Instance.Aņadir(new Entidades.Categoria{
                Id = 1,
                Descripcion = "Indumentaria"
            });

            ControladoraCategorias.Instance.Aņadir(new Entidades.Categoria
            {
                Id = 2,
                Descripcion = "Perfumeria"
            });

            
        }
    }
}